- Nun geht es darum, deine gewonnenen Kenntnisse zu üben. Nutze dazu die folgenden Übungsaufgaben. Gern kannst du auch deinen Nachbarn fragen. Kann er dir nicht weiterhelfen, melde dich einfach. Viel Erfolg!
  
  
  #+BEGIN_PINNED
  **Aufgabe 1 - Mausposition ausgeben**
  Schreibe ein Programm, das in jedem draw-Zyklus die aktuelle Mausposition in folgender Form ausgibt:
  `x=48 y=47`
  `x=48 y=52`
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 2 - Zeichenverkettung**
  Kopiere folgendes Programm und ergänze den Code, so dass bei jedem Mausklick genau eine neue Zeile auf die Konsole geschrieben wird, so dass die Konsole nach 4 Klicks wie folgt aussieht:
  `la`
  `la la`
  `la la la`
  `la la la la`
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 3 - Schwarzweiß**
  Der Hintergrund soll **schwarz** eingefärbt werden, wenn eine Tastatur-Taste gedrückt wird, und weiß, wenn eine Maustaste gedrückt wird. Verwende folgenden Basiscode und achte darauf, dass das Rechteck nicht übermalt wird - also weiterhin sichtbar ist.
  
  ```Java
  void draw() {
  rectMode(CENTER);
  rect(50, 50, 40, 40);
  }
  ```
  
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 4 - Schwarzweiß 2**
  Ersetze im obigen Programm das Quadrat durch einen Kreis, der komplementär zum Hintergrund schwarz oder weiß ist.
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 5 - Zufällige Position**
  Zeichne einen schwarzen Punkt. Bei jedem Mausklick soll der Punkt an eine zufällige Position springen.
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 6 - Ball nach rechts**
  Schreibe ein Programm, bei dem sich ein Ball, der zu Beginn an Position (0,50) steht, bei jedem Mausklick um 5 Pixel nach rechts bewegt.
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 7 - Quadrat wächst/schrumpft**
  Schreibe ein Programm, bei dem sich ein Quadrat, das in der Mitte steht, bei jedem Mausklick um 5 Pixel vergrößert und bei jedem Tastenanschlag um 5 Pixel verkleinert.
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 8 - fliegender Ball**
  Schreibe ein Programm, bei dem ein Ball, der zu Beginn an Position (0,50) steht, nach rechts fliegt.
  #+END_PINNED
  
  ```Java
  Deine Lösung
  ```
  
  #+BEGIN_TIP
  An dieser Stelle solltest du schon die If-Anweisung kennen. Alternativ liest du einfach im  Abschnitt Operatoren über den Modulo-Operator.
  #+END_TIP 
  
  ---
-
- ## Hilfe
  
  ![Hilfe Banner](../assets/hilfe.jpg){:width 208}
  
  >Aufgabe 1
  
  Zum Verbinden von Zeichenketten wird der Operator `+` genutzt. Hier ein Beispiel: `println(mouseX + " Mäuse");`.
  
  >Aufgabe 2
  
  Mit jedem `draw()`-Durchlauf soll an die vorhandene Zeichenkette ein neues la angehangen werden. Das heißt: Zeichenketten(neu) = Zeichenkette(alt) + la.
  
  >Aufgabe 3
  
  keine Hilfe vorhanden
  
  >Aufgabe 4
  
  Dabei hilft dir eine boolsche Variable. Damit kannst du abprüfen, ob der Kreis gerade schwarz oder weiß sein muss. Entsprechend entgegengesetzt soll der Hintergrund dargestellt werden. Letztlich gibt es genau zwei Fälle.
  
  >Aufgabe 5
  
  keine Hilfe vorhanden
  
  >Aufgabe 6
  
  keine Hilfe vorhanden
  
  >Aufgabe 7
  
  keine Hilfe vorhanden