# Einführung in die Programmierung

![](../assets/code_monitor.jpg)
- ### Warum Programmieren so wichtig ist
  
  
  #+BEGIN_QUOTE
  "Fähigkeit zu Programmieren als Grundfähigkeit neben Lesen, Schreiben, Rechnen"
  *Angela Merkel, Bundeskanzlerin, 2016*
  #+END_QUOTE 
  
  
  #+BEGIN_QUOTE
  "Ich denke, wenn man eine Wahl treffen muss, ist es wichtiger, Programmieren zu lernen als eine Fremdsprache"
  *Tim Cook, CEO Apple, 2018*
  #+END_QUOTE
  
  * wir bewegen uns in einer hochtechnologisierten Welt
  * das Anforderungsprofil vieler Berufe wird technischer
  * wir können Verständnis für das „Handeln“ von Maschinen erlangen
  * digitales Denken ist einfach „anders“
  * Virtual-Reality-Videos wirken einfach mehr als Werbespots
  
  ---
- ### Unsere Ziele in der Klassenstufe 8
  
  * Die [[Lernumgebung Processing]] kennenlernen
  * [[Variablen]] als ein Grundprinzip von Programmiersprachen verstehen
  * Verstehen, was ein [[Algorithmus]] ist und Algorithmen geeignet darstellen
  * Entwickeln eigener Algorithmen und [[Eigene Funktionen]] 
  * Beherrschen der Programmiersprache Java