- ![](../assets/algorithmus.png){:width 600}
  In der [[Algorithmierung]] unterscheiden wir zwischen verschiedenen algorithmische Grundstrukturen. Sie bilden das Rückgrat jeder Programmiersprache und sind entscheidend für das Schreiben effizienter und effektiver Programme. Hierzu gehören:
  
  
  **1. Sequenz**
  Beschreibt die Ausführung von Anweisungen in einer festgelegten Reihenfolge. Jede Anweisung wird nacheinander ausgeführt.
  
  **2. Bedingte Anweisungen**
  Erlaubt es, Entscheidungen im Programmablauf zu treffen. Mithilfe von Bedingungen kann das Programm verschiedene Pfade einschlagen, basierend auf den Ergebnissen von Vergleichen oder Auswertungen. Hierzu gehören [[Verzweigungen]] und auch [[Geschachtelte Verzweigungen]]. 
  
  **3. Schleifen**
  Ermöglicht das wiederholte Ausführen von Anweisungen, bis eine bestimmte Bedingung erfüllt ist. Hierfür gibt es verschiedene Schleifenstrukturen, die wir kennenlernen werden:
  * [[Bedingte Schleifen]]
  * [[Zaehlschleifen]]