- Löse die folgenden Aufgaben mithilfe von For-Schleifen!
- ## Einstiegsaufgaben
   
  #+BEGIN_PINNED
  **Aufgabe 1 - Hochzählen**
  Schreibe eine For-Schleife, die eine Variable `zaehler` in 2er-Schritten von 0 bis 10 hochzählt. In jeder Runde wird der Wert auf der Konsole ausgegeben.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 2 - ASCII-Art**
  Schreibe eine For-Schleife, die eine vorgegebene Anzahl von Zeichen ausgibt, dabei sollen # (Hash) und . (Punkt) im Wechsel gedruckt werden.
  
  *n = 5*
  *Ausgabe: #.#.#*
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 3 - Summe**
  Schreibe ein Programm, welches die Summe der ersten n Zahlen berechnet.
  
  *n = 4*
  *summe = 1 + 2 + 3 + 4*
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 4 - Fakultät**
  Schreibe ein Programm, welches die Fakultät einer Zahl bestimmt.
  
  *n = 4*
  fakultaet = 4 \* 3 \* 2 \* 1 = 24
  #+END_PINNED
  
  ```Java
  Dein Code
  ```
- ## Schwierigkeitsstufe 1
  
  **Konsole**
  
  
  #+BEGIN_PINNED
  **Aufgabe 5 - Mal-Reihe**
  Erzeuge die Mal-Reihe (15 Elemente) einer vom Nutzer eingegebenen natürlichen Zahl. Die Zahlen sollen untereinander in der Konsole ausgegeben werden.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 6 - 1en-Zähler**
  Erstelle ein Programm, bei dem man die Anzahl der Wurfversuche eines Würfels vorgeben kann. Deine Software soll dabei zählen, wie oft die Augenzahl 1 auftrat. Es soll jeder Wurf sowie das Endergebnis (die Anzahl der 1en) ausgegeben werden.
  #+END_PINNED 
  
  **Grafik**
  
  
  #+BEGIN_PINNED
  **Aufgabe 7 - Streifenmuster**
  Produziere ein Muster mit horizontalen Linien von links nach rechts, die jeweils einen Abstand von 10 Pixeln haben.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 8 - Kringel-Cursor**
  Zeichne mit Hilfe eines Programms um den Mauszeiger drei konzentrische Kreise mit den Durchmessern (30, 40 und 50 Pixel). Schreibe den Code so, dass die Anzahl der Kreise möglichst schnell angepasst werden kann (Änderung des Codes an nur einer Stelle).
  #+END_PINNED
  
  ```Java
  Dein Code
  ```
- ## Schwierigkeitsstufe 2
  
  **Konsole**
  
  #+BEGIN_PINNED
  **Aufgabe 9 - Fibonacci-Zahlen**
  Sehr bekannt sind die Fibonacci-Zahlen (1 1 2 3 5 8 13 21 34 …). Hierbei ergibt die Summe der zwei Vorgänger jeweils die nächste Zahl, z.B. 2+3=5 und 13+21=34. Erzeuge ein Programm, welches die ersten n Fibonacci-Zahlen berechnet.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  #+BEGIN_PINNED
  **Aufgabe 10 - Zinsrechner**
  Ein Nutzer gibt folgende Daten an: Kapital, Zinssatz, Anzahl der Jahre. Gib den Nutzer das Endkapital seiner Anlage und eine Liste des jährlichen Zuwachses an.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
  
  **Grafik**
  
  #+BEGIN_PINNED
  **Aufgabe 11 - Gitter-Cursor**
  An der Stelle des Mauszeigers soll ein quadratisches Gitter erscheinen. Die Anzahl der Gitterzellen in eine Richtung soll durch eine globale Variable "num" geregelt werden können.
  #+END_PINNED 
  
  ```Java
  Dein Code
  ```
- ## Schwierigkeitsstufe 3
  
  **Grafik**
  
  
  #+BEGIN_PINNED
  **Aufgabe 12 - Animierte Streifen**
  Zeichne parallele, horizontale Streifen (y-Abstand 10 Pixel), die sich fortlaufend nach unten bewegen.
  #+END_PINNED
  
  ```Java
  Dein Code
  ```